<?php 
require_once "../modelos/Relacionarticulomayorindividual.php";

$relacionarticulomayorindividual   =   new Relacionarticulomayorindividual();

$idarticuloi                          =   isset($_POST["idarticuloi"])? limpiarCadena($_POST["idarticuloi"]):"";
$idrelacionarticulomayorindividual  =   isset($_POST["idrelacionarticulomayorindividual"])? limpiarCadena($_POST["idrelacionarticulomayorindividual"]):"";
$idarticulo                             =   isset($_POST["idarticulo"])? limpiarCadena($_POST["idarticulo"]):"";


switch ($_GET["op"]) {
  case 'guardaryeditar':
    if (empty($idrelacionarticulomayorindividual)) {
        $rspta=$relacionarticulomayorindividual->insertar($idarticulo,$idarticuloi);
        echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
    }else{
        $rspta=$relacionarticulomayorindividual->editar($idrelacionarticulomayorindividual,$idarticulo,$idarticuloi);
        echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
    }
	break;
	
	case 'selectSubzona':
		$rspta 			= $relacionarticulomayorindividual->listarv();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Sub-Zona';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idarticuloi.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectGerente':
		$rspta 			= $relacionarticulomayorindividual->listarg();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Gerente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idarticuloi.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'eliminar':
		$rspta=$relacionarticulomayorindividual->eliminar($idrelacionarticulomayorindividual);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'desactivar':
		$rspta=$relacionarticulomayorindividual->desactivar($idrelacionarticulomayorindividual);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$relacionarticulomayorindividual->activar($idrelacionarticulomayorindividual);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$relacionarticulomayorindividual->mostrar($idrelacionarticulomayorindividual);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$relacionarticulomayorindividual->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$relacionarticulomayorindividual->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta  =$relacionarticulomayorindividual->listar();
		$data   =Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
            onclick="mostrar('.$reg->idrelacionarticulomayorindividual.')"><i class="fa fa-pencil"></i></button>'.' '.'
            <button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idrelacionarticulomayorindividual.')">
            <i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
            onclick="mostrar('.$reg->idrelacionarticulomayorindividual.')"><i class="fa fa-pencil"></i></button>'.' '.'
            <button class="btn btn-primary btn-xs" onclick="activar('.$reg->idrelacionarticulomayorindividual.')">
            <i class="fa fa-check"></i></button>',
            "1"=>$reg->articulomayor,
            "2"=>$reg->articuloindividual,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>